/// <reference types="react" />
import { Theme, ThemeMode } from '../common';
import type { CustomThemes, RecursivePartial } from '../common/theme/types';
declare type ThemeContext = {
    theme: Theme;
    activeTheme: ThemeMode;
    themes: CustomThemes;
    setActiveTheme: (value: ThemeMode) => void;
};
declare type ThemeProviderProps = {
    children: React.ReactNode;
    theme?: RecursivePartial<Theme>;
    customThemes?: CustomThemes;
};
export declare const ThemeContext: import("react").Context<ThemeContext>;
declare const ThemeProvider: ({ children, theme, customThemes }: ThemeProviderProps) => import("@emotion/react/jsx-runtime").JSX.Element;
export default ThemeProvider;
